## erlang-p1-xmpp 1.1.19

=== Makefile ===
REBAR=./rebar
ERL=erl

all: src

src:
	$(REBAR) get-deps compile

spec: src/xmpp_codec.erl include/xmpp_codec.hrl deps/fast_xml/ebin/fxml_gen.beam
	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval \
	'case fxml_gen:compile("specs/xmpp_codec.spec", [{add_type_specs, xmpp_element}, {erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'

xdata: ebin/xdata_codec.beam
	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval \
	'case xdata_codec:compile("specs", [{erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'

clean:
	$(REBAR) clean
	rm -rf deps
	rm -rf ebin

xref: all
	$(REBAR) skip_deps=true xref

deps := $(wildcard deps/*/ebin)

dialyzer/erlang.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
	-o dialyzer/erlang.log --apps kernel stdlib sasl erts syntax_tools compiler; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/deps.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/deps.plt \
	-o dialyzer/deps.log $(deps); \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer/xmpp.plt:
	@mkdir -p dialyzer
	@dialyzer --build_plt --output_plt dialyzer/xmpp.plt \
	-o dialyzer/xmpp.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

erlang_plt: dialyzer/erlang.plt
	@dialyzer --plt dialyzer/erlang.plt --check_plt -o dialyzer/erlang.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps_plt: dialyzer/deps.plt
	@dialyzer --plt dialyzer/deps.plt --check_plt -o dialyzer/deps.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

xmpp_plt: dialyzer/xmpp.plt
	@dialyzer --plt dialyzer/xmpp.plt --check_plt -o dialyzer/xmpp.log; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

dialyzer: erlang_plt deps_plt xmpp_plt
	@dialyzer --plts dialyzer/*.plt --no_check_plt \
	--get_warnings -o dialyzer/error.log ebin; \
	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi

deps/fast_xml/ebin/fxml_gen.beam:
	$(REBAR) get-deps compile

ebin/xdata_codec.beam:
	$(REBAR) get-deps compile

.PHONY: clean src all spec xdata dialyzer erlang_plt deps_plt xmpp_plt

=== c_src/Makefile ===
all:
	abnfgen core utf8.abnf | sed 's/generated_from_abnf/utf8/g' | grep -v 'main:=' > utf8.rl
	abnfgen core uri.abnf | sed 's/generated_from_abnf/uri/g' | grep -v 'main:=' > uri.rl
	ragel -G2 jid.rl -o jid.c
	ragel -G2 xmpp_uri.rl -o xmpp_uri.c

## erlang-p1-xmpp 1.1.13

=== debian/changelog ===
erlang-p1-xmpp (1.1.13-1) unstable; urgency=medium

  * New upstream version 1.1.13
  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 17:10:12 +0200

erlang-p1-xmpp (1.1.9-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #858969)

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 12:01:44 +0200

=== debian/control ===
Source: erlang-p1-xmpp
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-xml (>=1.1.23),
 erlang-p1-stringprep (>= 1.0.9), erlang-p1-utils (>= 1.0.9), erlang-syntax-tools,
 libexpat1-dev
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/xmpp
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmpp.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmpp.git

Package: erlang-p1-xmpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}, erlang-p1-xml (>= 1.1.23), erlang-p1-stringprep (>= 1.0.9),
         erlang-p1-utils (>= 1.0.9)
Description: Erlang/Elixir XMPP parsing and serialization library
 This library provides comprehensive representation of XMPP elements as
 well as tools to work with them. Every such element is represented by an
 Erlang record. Most of the library's code is auto generated and thus
 considered to be bug free and efficient.
 .
 The approach is very similar to ASN.1, Google Protocol Buffers or Apache
 Thrift: an XML element is transformed into internal language structure
 (an Erlang record in this case) - the process known as "decoding". During
 decoding, validation is also performed, thus well-typed structures are
 generated, potentially decreasing bugs related to handcrafted parsing. A
 reverse process known as "encoding" is applied for transforming an
 Erlang record into an XML element.
 .
 This package should be used along with erlang-p1-xml, because it is
 only able to decode from and encode to structures generated by that
 library (that is, xmlel() elements).
 .
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-xmpp 1.1.14

=== debian/changelog ===
erlang-p1-xmpp (1.1.14-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Wed, 20 Sep 2017 19:37:35 +0200

erlang-p1-xmpp (1.1.14-2) unstable; urgency=high

  * (Build-)Depend on erlang-base (>= 1:19.2)

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 08:28:48 +0200

erlang-p1-xmpp (1.1.14-1) unstable; urgency=medium

  * New upstream version 1.1.14
  * Updated Standards-Version: 4.1.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Sep 2017 16:58:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: erlang-p1-xmpp
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-p1-xml (>=1.1.23),
- erlang-p1-stringprep (>= 1.0.9), erlang-p1-utils (>= 1.0.9), erlang-syntax-tools,
- libexpat1-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit,
+ erlang-p1-xml (>=1.1.23), erlang-p1-stringprep (>= 1.0.9), erlang-p1-utils (>= 1.0.9),
+ erlang-syntax-tools, libexpat1-dev
+Standards-Version: 4.1.0
 Section: libs
 Homepage: https://github.com/processone/xmpp
 Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmpp.git
@@ -12,7 +12,7 @@
 
 Package: erlang-p1-xmpp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}, erlang-p1-xml (>= 1.1.23), erlang-p1-stringprep (>= 1.0.9),
          erlang-p1-utils (>= 1.0.9)
 Description: Erlang/Elixir XMPP parsing and serialization library

## erlang-p1-xmpp 1.1.19

=== debian/changelog ===
erlang-p1-xmpp (1.1.19-1) unstable; urgency=medium

  * New upstream version 1.1.19
  * (Build-)Depend on erlang-p1-xml (>=1.1.28)

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 16:45:42 +0100

erlang-p1-xmpp (1.1.17-1) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * New upstream version 1.1.17
  * (Build-)Depend on erlang-p1-xml (>=1.1.26)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:02 +0100

erlang-p1-xmpp (1.1.16-1) unstable; urgency=medium

  * New upstream version 1.1.16
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: erlang-p1-xmpp
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit,
- erlang-p1-xml (>=1.1.23), erlang-p1-stringprep (>= 1.0.9), erlang-p1-utils (>= 1.0.9),
- erlang-syntax-tools, libexpat1-dev
-Standards-Version: 4.1.0
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit,  erlang-p1-xml (>=1.1.28),
+               erlang-p1-stringprep (>= 1.0.10), erlang-p1-utils (>= 1.0.10), erlang-syntax-tools, libexpat1-dev
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/processone/xmpp
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmpp.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-xmpp.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 
 Package: erlang-p1-xmpp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-         ${erlang:Depends}, erlang-p1-xml (>= 1.1.23), erlang-p1-stringprep (>= 1.0.9),
-         erlang-p1-utils (>= 1.0.9)
+         ${erlang:Depends}, erlang-p1-xml (>= 1.1.28), erlang-p1-stringprep (>= 1.0.10),
+         erlang-p1-utils (>= 1.0.10)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-p1-xmpp


%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_install:
	dh_auto_install
	for file in include/*.hrl priv/lib/*.so ; do \
	        fname=$$(basename $${file}) ; \
	        subdir=$$(dirname $${file}) ; \
	        if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_xmpp-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
	                install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_xmpp-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
	                install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_xmpp-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
	        fi ; \
	done

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xmpp_$1.tar.gz/" \
  https://github.com/processone/xmpp/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-xmpp 1.2.2

=== debian/changelog ===
erlang-p1-xmpp (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:25:12 +0200

erlang-p1-xmpp (1.1.21-1) unstable; urgency=medium

  * New upstream version 1.1.21
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 17:20:11 +0200

erlang-p1-xmpp (1.1.20-1) unstable; urgency=medium

  * New upstream version 1.1.20
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:25:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,31 @@
 Source: erlang-p1-xmpp
-Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-eunit,  erlang-p1-xml (>=1.1.28),
-               erlang-p1-stringprep (>= 1.0.10), erlang-p1-utils (>= 1.0.10), erlang-syntax-tools, libexpat1-dev
-Standards-Version: 4.1.3
 Section: libs
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               dh-rebar,
+               erlang-base (>= 1:19.2),
+               erlang-eunit,
+               erlang-p1-xml (>= 1.1.32),
+               erlang-p1-stringprep (>= 1.0.12),
+               erlang-p1-utils (>= 1.0.12),
+               erlang-syntax-tools,
+               libexpat1-dev
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
-Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
-Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 
 Package: erlang-p1-xmpp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-         ${erlang:Depends}, erlang-p1-xml (>= 1.1.28), erlang-p1-stringprep (>= 1.0.10),
-         erlang-p1-utils (>= 1.0.10)
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         ${erlang:Depends},
+         erlang-p1-xml (>= 1.1.32),
+         erlang-p1-stringprep (>= 1.0.12),
+         erlang-p1-utils (>= 1.0.12)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

## erlang-p1-xmpp 1.2.8

=== debian/changelog ===
erlang-p1-xmpp (1.2.8-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Jan 2019 19:18:56 +0100

erlang-p1-xmpp (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:54:31 +0100

erlang-p1-xmpp (1.2.5-1) unstable; urgency=medium

  * New upstream version 1.2.5
  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 16:26:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-xml (>= 1.1.32),
-               erlang-p1-stringprep (>= 1.0.12),
-               erlang-p1-utils (>= 1.0.12),
+               erlang-p1-xml (>= 1.1.34),
+               erlang-p1-stringprep (>= 1.0.14),
+               erlang-p1-tls (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.13),
+               erlang-p1-zlib (>= 1.0.4),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -23,9 +25,11 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-xml (>= 1.1.32),
-         erlang-p1-stringprep (>= 1.0.12),
-         erlang-p1-utils (>= 1.0.12)
+         erlang-p1-xml (>= 1.1.34),
+         erlang-p1-stringprep (>= 1.0.14),
+         erlang-p1-tls (>= 1.0.26),
+         erlang-p1-utils (>= 1.0.13),
+         erlang-p1-zlib (>= 1.0.4)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-xmpp 1.4.0

=== debian/changelog ===
erlang-p1-xmpp (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 Aug 2019 14:49:00 +0200

erlang-p1-xmpp (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 13:04:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-xml (>= 1.1.34),
-               erlang-p1-stringprep (>= 1.0.14),
-               erlang-p1-tls (>= 1.0.26),
-               erlang-p1-utils (>= 1.0.13),
-               erlang-p1-zlib (>= 1.0.4),
+               erlang-p1-xml (>= 1.1.37),
+               erlang-p1-stringprep (>= 1.0.17),
+               erlang-p1-tls (>= 1.1.2),
+               erlang-p1-utils (>= 1.0.16),
+               erlang-p1-zlib (>= 1.0.6),
                erlang-syntax-tools,
                libexpat1-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -25,11 +25,11 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-xml (>= 1.1.34),
-         erlang-p1-stringprep (>= 1.0.14),
-         erlang-p1-tls (>= 1.0.26),
-         erlang-p1-utils (>= 1.0.13),
-         erlang-p1-zlib (>= 1.0.4)
+         erlang-p1-xml (>= 1.1.37),
+         erlang-p1-stringprep (>= 1.0.17),
+         erlang-p1-tls (>= 1.1.2),
+         erlang-p1-utils (>= 1.0.16),
+         erlang-p1-zlib (>= 1.0.6)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

## erlang-p1-xmpp 1.4.4

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 dialyzer/erlang.plt:
 	@mkdir -p dialyzer
 	@dialyzer --build_plt --output_plt dialyzer/erlang.plt \
-	-o dialyzer/erlang.log --apps kernel stdlib sasl erts syntax_tools compiler; \
+	-o dialyzer/erlang.log --apps kernel stdlib sasl erts syntax_tools compiler asn1 crypto; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
 
 dialyzer/deps.plt:

=== debian/changelog ===
erlang-p1-xmpp (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Sat, 08 Feb 2020 13:39:23 +0100

erlang-p1-xmpp (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.4.1 (no changes needed)
  * Fixed typo in long package description.
  * Set 'Rules-Requires-Root: no' in debian/control

 -- Philipp Huebner <debalance@debian.org>  Mon, 11 Nov 2019 16:20:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
-               erlang-p1-xml (>= 1.1.37),
-               erlang-p1-stringprep (>= 1.0.17),
-               erlang-p1-tls (>= 1.1.2),
-               erlang-p1-utils (>= 1.0.16),
+               erlang-idna (>= 6.0.0),
+               erlang-p1-xml (>= 1.1.38),
+               erlang-p1-stringprep (>= 1.0.18),
+               erlang-p1-tls (>= 1.1.3),
+               erlang-p1-utils (>= 1.0.17),
                erlang-p1-zlib (>= 1.0.6),
                erlang-syntax-tools,
+               erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -25,10 +28,12 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
-         erlang-p1-xml (>= 1.1.37),
-         erlang-p1-stringprep (>= 1.0.17),
-         erlang-p1-tls (>= 1.1.2),
-         erlang-p1-utils (>= 1.0.16),
+         erlang-idna (>= 6.0.0),
+         erlang-p1-xml (>= 1.1.38),
+         erlang-p1-stringprep (>= 1.0.18),
+         erlang-p1-tls (>= 1.1.3),
+         erlang-unicode-util-compat (>= 0.3.1),
+         erlang-p1-utils (>= 1.0.17),
          erlang-p1-zlib (>= 1.0.6)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
@@ -49,5 +54,5 @@
  library (that is, xmlel() elements).
  .
  This library was written for ejabberd which still uses it.
- It was split off into it's own project to follow
+ It was split off into its own project to follow
  Erlang/OTP guidelines.

## erlang-p1-xmpp 1.4.9

=== debian/changelog ===
erlang-p1-xmpp (1.4.9-1) unstable; urgency=medium

  * New upstream version 1.4.9
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 02 Aug 2020 18:17:39 +0200

erlang-p1-xmpp (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:38:43 +0200

erlang-p1-xmpp (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Fri, 01 May 2020 13:57:08 +0200

erlang-p1-xmpp (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 13:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                erlang-base (>= 1:19.2),
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.38),
-               erlang-p1-stringprep (>= 1.0.18),
-               erlang-p1-tls (>= 1.1.3),
-               erlang-p1-utils (>= 1.0.17),
-               erlang-p1-zlib (>= 1.0.6),
+               erlang-p1-xml (>= 1.1.43),
+               erlang-p1-stringprep (>= 1.0.22),
+               erlang-p1-tls (>= 1.1.8),
+               erlang-p1-utils (>= 1.0.20),
+               erlang-p1-zlib (>= 1.0.8),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
@@ -29,12 +29,12 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.38),
-         erlang-p1-stringprep (>= 1.0.18),
-         erlang-p1-tls (>= 1.1.3),
+         erlang-p1-xml (>= 1.1.43),
+         erlang-p1-stringprep (>= 1.0.22),
+         erlang-p1-tls (>= 1.1.8),
          erlang-unicode-util-compat (>= 0.3.1),
-         erlang-p1-utils (>= 1.0.17),
-         erlang-p1-zlib (>= 1.0.6)
+         erlang-p1-utils (>= 1.0.20),
+         erlang-p1-zlib (>= 1.0.8)
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

## erlang-p1-xmpp 1.5.2

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,30 @@
+ERL=erl
+
+ifndef USE_REBAR3
 REBAR=./rebar
-ERL=erl
+DEPDIR=deps
+else
+REBAR=rebar3
+DEPDIR=_build/default/lib
+endif
 
 all: src
 
 src:
-	$(REBAR) get-deps compile
+	$(REBAR) get-deps
+	$(REBAR) compile
 
-spec: src/xmpp_codec.erl include/xmpp_codec.hrl deps/fast_xml/ebin/fxml_gen.beam
-	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval \
+spec: src/xmpp_codec.erl include/xmpp_codec.hrl $(DEPDIR)/fast_xml/ebin/fxml_gen.beam
+	$(ERL) -noinput +B -pa ebin -pa $(DEPDIR)/*/ebin -eval \
 	'case fxml_gen:compile("specs/xmpp_codec.spec", [{add_type_specs, xmpp_element}, {erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'
 
 xdata: ebin/xdata_codec.beam
-	$(ERL) -noinput +B -pa ebin -pa deps/*/ebin -eval \
+	$(ERL) -noinput +B -pa ebin -pa $(DEPDIR)/*/ebin -eval \
 	'case xdata_codec:compile("specs", [{erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'
 
 clean:
 	$(REBAR) clean
+	rm -rf _build/default/lib
 	rm -rf deps
 	rm -rf ebin
 
@@ -59,6 +68,10 @@
 	--get_warnings -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
 
+_build/default/lib/fast_xml/ebin/fxml_gen.beam:
+	$(REBAR) get-deps
+	$(REBAR) compile
+
 deps/fast_xml/ebin/fxml_gen.beam:
 	$(REBAR) get-deps compile

=== c_src/Makefile ===
# Download ABNF Compiler from https://github.com/zinid/abnfc
ABNFC=abnfc
all:
	$(ABNFC) core utf8.abnf -i -n utf8 -o utf8.rl
	$(ABNFC) core uri.abnf -i -n uri -o uri.rl
	$(ABNFC) core lang.abnf -i -n lang -o lang.rl
	ragel -G2 jid.rl -o jid.c
	ragel -G2 xmpp_uri.rl -o xmpp_uri.c
	ragel -G2 xmpp_lang.rl -o xmpp_lang.c

=== debian/changelog ===
erlang-p1-xmpp (1.5.2-3) unstable; urgency=medium

  * Added upstream patch to fix random crashes and weird behaviour with
    ejabberd 21.01 (Closes: #988115)

 -- Philipp Huebner <debalance@debian.org>  Thu, 13 May 2021 12:35:16 +0200

erlang-p1-xmpp (1.5.2-2) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:43:57 +0100

erlang-p1-xmpp (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Added 'Multi-Arch: same' in debian/control
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 19:17:11 +0100

erlang-p1-xmpp (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-xmpp.install
  * Refreshed debian/patches/fix-includes.diff

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 01:08:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.43),
-               erlang-p1-stringprep (>= 1.0.22),
-               erlang-p1-tls (>= 1.1.8),
-               erlang-p1-utils (>= 1.0.20),
-               erlang-p1-zlib (>= 1.0.8),
+               erlang-p1-xml (>= 1.1.45),
+               erlang-p1-stringprep (>= 1.0.24),
+               erlang-p1-tls (>= 1.1.11),
+               erlang-p1-utils (>= 1.0.21),
+               erlang-p1-zlib (>= 1.0.9),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -29,12 +29,13 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.43),
-         erlang-p1-stringprep (>= 1.0.22),
-         erlang-p1-tls (>= 1.1.8),
+         erlang-p1-xml (>= 1.1.45),
+         erlang-p1-stringprep (>= 1.0.24),
+         erlang-p1-tls (>= 1.1.11),
          erlang-unicode-util-compat (>= 0.3.1),
-         erlang-p1-utils (>= 1.0.20),
-         erlang-p1-zlib (>= 1.0.8)
+         erlang-p1-utils (>= 1.0.21),
+         erlang-p1-zlib (>= 1.0.9)
+Multi-Arch: allowed
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as
  well as tools to work with them. Every such element is represented by an

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-xmpp

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xmpp_$1.tar.gz/" \
  https://github.com/processone/xmpp/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-xmpp 1.5.4

=== debian/changelog ===
erlang-p1-xmpp (1.5.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Sun, 05 Sep 2021 19:45:24 +0200

erlang-p1-xmpp (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated Erlang dependencies
  * Dropped patch now included upstream

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 22:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                erlang-base (>= 1:19.2),
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.45),
-               erlang-p1-stringprep (>= 1.0.24),
-               erlang-p1-tls (>= 1.1.11),
-               erlang-p1-utils (>= 1.0.21),
-               erlang-p1-zlib (>= 1.0.9),
+               erlang-p1-xml (>= 1.1.47),
+               erlang-p1-stringprep (>= 1.0.27),
+               erlang-p1-tls (>= 1.1.13),
+               erlang-p1-utils (>= 1.0.23),
+               erlang-p1-zlib (>= 1.0.10),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -29,12 +29,12 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.45),
-         erlang-p1-stringprep (>= 1.0.24),
-         erlang-p1-tls (>= 1.1.11),
+         erlang-p1-xml (>= 1.1.47),
+         erlang-p1-stringprep (>= 1.0.27),
+         erlang-p1-tls (>= 1.1.13),
          erlang-unicode-util-compat (>= 0.3.1),
-         erlang-p1-utils (>= 1.0.21),
-         erlang-p1-zlib (>= 1.0.9)
+         erlang-p1-utils (>= 1.0.23),
+         erlang-p1-zlib (>= 1.0.10)
 Multi-Arch: allowed
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as

## erlang-p1-xmpp 1.5.6

=== debian/changelog ===
erlang-p1-xmpp (1.5.6-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.5.6
  * Updated Erlang dependencies
  * Updated debian/watch

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:52:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                erlang-base (>= 1:19.2),
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.47),
+               erlang-p1-xml (>= 1.1.48),
                erlang-p1-stringprep (>= 1.0.27),
                erlang-p1-tls (>= 1.1.13),
                erlang-p1-utils (>= 1.0.23),
@@ -29,7 +29,7 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.47),
+         erlang-p1-xml (>= 1.1.48),
          erlang-p1-stringprep (>= 1.0.27),
          erlang-p1-tls (>= 1.1.13),
          erlang-unicode-util-compat (>= 0.3.1),

## erlang-p1-xmpp 1.5.8

=== debian/changelog ===
erlang-p1-xmpp (1.5.8-1) unstable; urgency=medium

  * New upstream version 1.5.8
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 13:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base (>= 1:19.2),
+               dh-rebar (>= 0.0.6),
+               erlang-base,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.48),
-               erlang-p1-stringprep (>= 1.0.27),
-               erlang-p1-tls (>= 1.1.13),
-               erlang-p1-utils (>= 1.0.23),
-               erlang-p1-zlib (>= 1.0.10),
+               erlang-p1-xml (>= 1.1.49),
+               erlang-p1-stringprep (>= 1.0.28),
+               erlang-p1-tls (>= 1.1.15),
+               erlang-p1-utils (>= 1.0.25),
+               erlang-p1-zlib (>= 1.0.12),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -26,15 +26,15 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.48),
-         erlang-p1-stringprep (>= 1.0.27),
-         erlang-p1-tls (>= 1.1.13),
+         erlang-p1-xml (>= 1.1.49),
+         erlang-p1-stringprep (>= 1.0.28),
+         erlang-p1-tls (>= 1.1.15),
          erlang-unicode-util-compat (>= 0.3.1),
-         erlang-p1-utils (>= 1.0.23),
-         erlang-p1-zlib (>= 1.0.10)
+         erlang-p1-utils (>= 1.0.25),
+         erlang-p1-zlib (>= 1.0.12)
 Multi-Arch: allowed
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as

## erlang-p1-xmpp 1.6.0

=== debian/changelog ===
erlang-p1-xmpp (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Updated Erlang dependencies
  * Refreshed debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 15:26:49 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                erlang-eunit,
                erlang-idna (>= 6.0.0),
                erlang-p1-xml (>= 1.1.49),
-               erlang-p1-stringprep (>= 1.0.28),
-               erlang-p1-tls (>= 1.1.15),
+               erlang-p1-stringprep (>= 1.0.29),
+               erlang-p1-tls (>= 1.1.16),
                erlang-p1-utils (>= 1.0.25),
                erlang-p1-zlib (>= 1.0.12),
                erlang-syntax-tools,
@@ -30,8 +30,8 @@
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
          erlang-p1-xml (>= 1.1.49),
-         erlang-p1-stringprep (>= 1.0.28),
-         erlang-p1-tls (>= 1.1.15),
+         erlang-p1-stringprep (>= 1.0.29),
+         erlang-p1-tls (>= 1.1.16),
          erlang-unicode-util-compat (>= 0.3.1),
          erlang-p1-utils (>= 1.0.25),
          erlang-p1-zlib (>= 1.0.12)

## erlang-p1-xmpp 1.6.1

=== debian/changelog ===
erlang-p1-xmpp (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 21:41:51 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp

## erlang-p1-xmpp 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,19 @@
 ERL=erl
 
 ifndef USE_REBAR3
-REBAR=./rebar
-DEPDIR=deps
+REBAR ?= ./rebar
 else
-REBAR=rebar3
-DEPDIR=_build/default/lib
+REBAR ?= rebar3
+endif
+
+IS_REBAR3:=$(shell expr `$(REBAR) --version | awk -F '[ .]' '/rebar / {print $$2}'` '>=' 3)
+
+ifeq "$(IS_REBAR3)" "1"
+  DEPSBASE=_build
+  DEPDIR=$(DEPSBASE)/default/lib
+else
+  DEPSBASE=deps
+  DEPDIR=$(DEPSBASE)
 endif
 
 all: src
@@ -19,6 +27,7 @@
 	'case fxml_gen:compile("specs/xmpp_codec.spec", [{add_type_specs, xmpp_element}, {erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'
 
 xdata: ebin/xdata_codec.beam
+	ERLTIDY=true $(REBAR) compile
 	$(ERL) -noinput +B -pa ebin -pa $(DEPDIR)/*/ebin -eval \
 	'case xdata_codec:compile("specs", [{erl_dir, "src"}, {hrl_dir, "include"}]) of ok -> halt(0); _ -> halt(1) end.'
 
@@ -29,8 +38,12 @@
 	rm -rf ebin
 
 xref: all
-	$(REBAR) skip_deps=true xref
+	$(REBAR) xref
 
+ifeq "$(IS_REBAR3)" "1"
+dialyzer:
+	$(REBAR) dialyzer
+else
 deps := $(wildcard deps/*/ebin)
 
 dialyzer/erlang.plt:
@@ -67,6 +80,7 @@
 	@dialyzer --plts dialyzer/*.plt --no_check_plt \
 	--get_warnings -o dialyzer/error.log ebin; \
 	status=$$? ; if [ $$status -ne 2 ]; then exit $$status; else exit 0; fi
+endif
 
 _build/default/lib/fast_xml/ebin/fxml_gen.beam:
 	$(REBAR) get-deps

=== debian/changelog ===
erlang-p1-xmpp (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Dropped debian/erlang-p1-xmpp.install, added debian/source/options and
    fixed debian/rules (closes: #1045035, #1049848)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-xmpp.lintian-overrides
    -> debian/lintian-overrides
  * Updated patches

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:58:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 %:
 	dh $@ --buildsystem=rebar --with rebar
 
+
 override_dh_auto_install:
 	dh_auto_install
 	for file in include/*.hrl priv/lib/*.so ; do \
@@ -20,3 +21,8 @@
 	                install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_xmpp-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 	        fi ; \
 	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf compile_commands.json

## erlang-p1-xmpp 1.8.3

=== debian/changelog ===
erlang-p1-xmpp (1.8.3-1) unstable; urgency=medium

  * New upstream version 1.8.3
  * Updated Erlang dependencies
  * Updated debian/patches/rebar.config.diff

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:37:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                erlang-base,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.49),
-               erlang-p1-stringprep (>= 1.0.29),
-               erlang-p1-tls (>= 1.1.16),
-               erlang-p1-utils (>= 1.0.25),
-               erlang-p1-zlib (>= 1.0.12),
+               erlang-p1-xml (>= 1.1.52),
+               erlang-p1-stringprep (>= 1.0.30),
+               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-zlib (>= 1.0.13),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
@@ -29,12 +29,12 @@
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.49),
-         erlang-p1-stringprep (>= 1.0.29),
-         erlang-p1-tls (>= 1.1.16),
+         erlang-p1-xml (>= 1.1.52),
+         erlang-p1-stringprep (>= 1.0.30),
+         erlang-p1-tls (>= 1.1.21),
          erlang-unicode-util-compat (>= 0.3.1),
-         erlang-p1-utils (>= 1.0.25),
-         erlang-p1-zlib (>= 1.0.12)
+         erlang-p1-utils (>= 1.0.26),
+         erlang-p1-zlib (>= 1.0.13)
 Multi-Arch: allowed
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as

## erlang-p1-xmpp 1.9.4

=== debian/changelog ===
erlang-p1-xmpp (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Feb 2025 18:33:39 +0100

erlang-p1-xmpp (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name
  * Removed debian/patches/rebar.config.diff because it is no longer needed

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                erlang-base,
                erlang-eunit,
                erlang-idna (>= 6.0.0),
-               erlang-p1-xml (>= 1.1.52),
-               erlang-p1-stringprep (>= 1.0.30),
-               erlang-p1-tls (>= 1.1.21),
+               erlang-p1-xml (>= 1.1.55),
+               erlang-p1-stringprep (>= 1.0.30-2~),
+               erlang-p1-tls (>= 1.1.22),
                erlang-p1-utils (>= 1.0.26),
-               erlang-p1-zlib (>= 1.0.13),
+               erlang-p1-zlib (>= 1.0.13-2~),
                erlang-syntax-tools,
                erlang-unicode-util-compat (>= 0.3.1),
                libexpat1-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-xmpp.git
 Homepage: https://github.com/processone/xmpp
@@ -29,12 +29,12 @@
          erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-idna (>= 6.0.0),
-         erlang-p1-xml (>= 1.1.52),
-         erlang-p1-stringprep (>= 1.0.30),
-         erlang-p1-tls (>= 1.1.21),
+         erlang-p1-xml (>= 1.1.55),
+         erlang-p1-stringprep (>= 1.0.30-2~),
+         erlang-p1-tls (>= 1.1.22),
          erlang-unicode-util-compat (>= 0.3.1),
          erlang-p1-utils (>= 1.0.26),
-         erlang-p1-zlib (>= 1.0.13)
+         erlang-p1-zlib (>= 1.0.13-2~)
 Multi-Arch: allowed
 Description: Erlang/Elixir XMPP parsing and serialization library
  This library provides comprehensive representation of XMPP elements as

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	        fi ; \
 	done
 	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+	ln -s /usr/lib/erlang/lib/p1_xmpp-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/xmpp-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-xmpp_$1.tar.gz/" \
  https://github.com/processone/xmpp/tags .*/v?(\d\S*)\.tar\.gz
